use std::collections::HashMap;
use std::str::FromStr;
use serde::{Deserialize, Serialize};
use url::Url;

#[derive(Clone, Serialize, Deserialize)]
pub struct Repo {
    #[serde(default)]
    pub name: String,
    pub uri: Url
}

impl Default for Repo {
    fn default() -> Self {
        Repo {
            name: String::from("Repo"),
            uri: Url::parse("tcp://0.0.0.0:0000").unwrap()
        }
    }
}

#[derive(Clone, Serialize, Deserialize)]
pub struct RepoFile {
    pub repos: HashMap<String, Repo>
}